Bug 478603 - Review Request: pysnmp - SNMP engine written in Python
Review Request: pysnmp - SNMP engine written in Python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-01 16:42 EST by Fabian Affolter
Modified: 2013-06-15 12:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-20 06:43:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-01-01 16:42:59 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/pysnmp.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/pysnmp-2.0.9-1.fc9.src.rpm

Project URL: http://pysnmp.sourceforge.net/

Description:
This is a Python implementation of SNMP v.1/v.2c engine. It's
general functionality is to assemble/disassemble SNMP messages
from/into given SNMP Object IDs along with associated values.
PySNMP also provides a few transport methods specific to TCP/IP
networking.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1028810

rpmlint output:
[fab@laptop024 noarch]$ rpmlint pysnmp*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop024 SRPMS]$ rpmlint pysnmp-2.0.9-1.fc9.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Parag AN(पराग) 2009-01-26 08:09:14 EST
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1082741
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
366c3a9f6a28851af93145c09c17e370  pysnmp-2.0.9.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honored correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

Suggestion:
1) Drop unnecessary pysnmp-examples subpackage. Same examples files already got included in main package pysnmp so its duplicate files installation at different paths.
2) License is BSD not MIT.

submit new srpm with above changes.
Comment 2 Fabian Affolter 2009-01-26 08:41:42 EST
Thanks for noticing all my mistakes.  First I thought that there is a benefit for making an separate -examples package but it will only save a small amount of space.
Comment 4 Parag AN(पराग) 2009-01-28 04:14:40 EST
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1088069

APPROVED.
Comment 5 Fabian Affolter 2009-01-28 08:13:45 EST
New Package CVS Request
=======================
Package Name: pysnmp
Short Description: SNMP engine written in Python
Owners: fab
Branches: F-9 F-10
InitialCC:
Comment 6 Kevin Fenzi 2009-01-28 19:20:19 EST
cvs done.
Comment 7 Fedora Update System 2009-02-04 21:08:05 EST
pysnmp-2.0.9-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update pysnmp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-1202
Comment 8 Fedora Update System 2009-02-04 21:20:39 EST
pysnmp-2.0.9-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pysnmp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1338
Comment 10 Fabian Affolter 2013-06-15 03:58:52 EDT
Package Change Request
======================
Package Name: pysnmp
New Branches: el6
Owners: fab
Comment 11 Gwyn Ciesla 2013-06-15 12:17:12 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.